[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
02/02: guix-install.sh: Don't initialise ~/.gnupg.
From: |
guix-commits |
Subject: |
02/02: guix-install.sh: Don't initialise ~/.gnupg. |
Date: |
Mon, 8 Jul 2019 12:16:26 -0400 (EDT) |
nckx pushed a commit to branch master
in repository guix.
commit 9b2644c2929163183699cf85dbd20cb9d628613f
Author: Tobias Geerinckx-Rice <address@hidden>
Date: Mon Jul 8 18:14:01 2019 +0200
guix-install.sh: Don't initialise ~/.gnupg.
* etc/guix-install.sh (chk_gpg_keyring): Call gpg with ‘--dry-run’.
---
etc/guix-install.sh | 4 +++-
1 file changed, 3 insertions(+), 1 deletion(-)
diff --git a/etc/guix-install.sh b/etc/guix-install.sh
index 3f05796..960313d 100755
--- a/etc/guix-install.sh
+++ b/etc/guix-install.sh
@@ -106,7 +106,9 @@ chk_gpg_keyring()
{ # Check whether the Guix release signing public key is present.
_debug "--- [ $FUNCNAME ] ---"
- gpg --list-keys ${OPENPGP_SIGNING_KEY_ID} >/dev/null 2>&1 || (
+ # Without --dry-run this command will create a ~/.gnupg owned by root on
+ # systems where gpg has never been used, causing errors and confusion.
+ gpg --dry-run --list-keys ${OPENPGP_SIGNING_KEY_ID} >/dev/null 2>&1 || (
_err "${ERR}Missing OpenPGP public key. Fetch it with this command:"
echo " wget https://sv.gnu.org/people/viewgpg.php?user_id=15145 -qO -
| gpg --import -"
exit 1